/**
 * 
 */
package eu.etaxonomy.taxeditor.editor;

import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.taxeditor.editor.name.TaxonNameEditor;
import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;

/**
 * <p>IDropTargetable interface.</p>
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public interface IDropTargetable extends IPostOperationEnabled {

	/**
	 * <p>getControl</p>
	 *
	 * @return a {@link org.eclipse.swt.widgets.Composite} object.
	 */
	public Composite getControl();
	
	/**
	 * <p>getNameEditor</p>
	 *
	 * @return a {@link eu.etaxonomy.taxeditor.editor.name.TaxonNameEditor} object.
	 */
	public TaxonNameEditor getEditor();

	/**
	 * <p>dragEntered</p>
	 */
	public void dragEntered();

	/**
	 * <p>dragLeft</p>
	 */
	public void dragLeft();
}
